// Code scaffolded by goctl. Safe to edit.
// goctl 1.10.1

package dispute

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"juwan-backend/app/dispute/api/internal/logic/dispute"
	"juwan-backend/app/dispute/api/internal/svc"
	"juwan-backend/app/dispute/api/internal/types"
)

// 获取争议列表
func ListDisputesHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.DisputeListReq
		if err := httpx.Parse(r, &req); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := dispute.NewListDisputesLogic(r.Context(), svcCtx)
		resp, err := l.ListDisputes(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
